@import "~material-design-icons/iconfont/material-icons.css";

#top{
    height: 20px;
    width: 100%;
}

div{
    color: white;
}
.no-margin-top{
    margin-top: 0;
}
.container{
    box-shadow: 0 2px 2px rgba(0,0,0,.24), 0 0 2px rgba(0,0,0,.12);
}
#prasmanan_container{
    height: 150px;
}
.map-box-container{
    margin-bottom: 20px;
    border-radius: 2px;
    box-shadow: 0 2px 2px rgba(0,0,0,.24), 0 0 2px rgba(0,0,0,.12);
    position: relative;
    padding-top: 20px;
    padding-bottom: 10px;
    #prasmanan_overlay:hover{
        background: linear-gradient(0deg, #000000c1, #0000007e);
        cursor: pointer;
    }
}
.map-box-content{
    padding: 0.5vw;
    display: flex;
    flex-direction: column;
}
.map-box-content h2{
    margin: 0;
    padding: 0 20px 10px 20px;
    margin-bottom: 10px;
    text-align: center;
    border-radius: 100%;
    border-bottom: 5px white solid;
    box-shadow: 0 3px 4px rgba(255, 255, 255, 0.4);
    width: fit-content;
    align-self: center;
    position: relative;
}
.quarterWidth{
    flex-grow: 1;
    border-radius: 4px;
    margin: 0.5vw;
    box-shadow: 0 2px 2px rgba(0,0,0,.24), 0 0 2px rgba(255,255,255,1);
    height: 175px;
    text-align: center;

}
.dFlex{
    display: flex;
    @media screen and (max-width: 600px) {
        flex-direction: column;
        width: unset;
    }
}
.pName{
    position: absolute;
    right: 2px;
    bottom: 2px;
    background-color: white;
    padding: 5px;
    border: 1px solid dotted;
    border-radius: 2px;
    min-width: 100px;
}
.redClr{
    color: white;
}
.noDisplay{
    display: none;
}
.quarterWidth:hover{
    background: linear-gradient(10deg, #000000, #0000001b);
    cursor: pointer;
}
.pRelative{
    position: relative;
}
.qIcon{
    position: absolute;
    top: 5px;
    right: 5px;
    border-radius: 100%;
}
.breakLine{
    white-space: pre-line;
}
.bkground-img{
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
    border-radius: 2px;
    width: 100%;
    height: 100%;
}
.overlay-dark{
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
    position: absolute;
    left: 0;
    top: 0;
}
.qwText{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}
.pres-desc{
    text-align: center;
    padding: 1vw;
    padding-top: 30px;
    position: relative;
}